declare
  attestation_id	 numeric(16);
  prop_name      	 varchar(128);
  prop_descr		 varchar(128);
  prop_value		 varchar(128);
  prop_id      		 numeric(16);

  counter            numeric(16);
  cur_attest         sys_refcursor;

begin
  open cur_attest for
  select att.id from attestation att; 
    loop
    fetch cur_attest into attestation_id;
    exit when cur_attest%NOTFOUND;
   
   prop_name  := 'NOTIFICATION_CHANGE_END_DATE';
   prop_descr := null;
   prop_value := '0';
   select count(1) into counter from attestation_prop attprop where attprop.name = prop_name and attprop.attestation = attestation_id;
    if ( counter = 0 ) then
    	select attestation_prop_seq.nextval into prop_id from dual;
    	
        insert into attestation_prop (id, attestation, name, value, description)
   	 	values (prop_id, attestation_id, prop_name, prop_value, prop_descr);
   	end if;
   	
   prop_name  := 'NOTIFICATION_CHANGE_END_DATE_TEMPLATE';
   prop_descr := null;
   prop_value := null;
   select count(1) into counter from attestation_prop attprop where attprop.name = prop_name and attprop.attestation = attestation_id;
    if ( counter = 0 ) then
    	select attestation_prop_seq.nextval into prop_id from dual;
    	
        insert into attestation_prop (id, attestation, name, value, description)
   	 	values (prop_id, attestation_id, prop_name, prop_value, prop_descr);
   	end if;
   	
   prop_name  := 'NOTIFICATION_CHANGE_END_DATE_INFO';
   prop_descr := null;	
   prop_value := '0';
   select count(1) into counter from attestation_prop attprop where attprop.name = prop_name and attprop.attestation = attestation_id;
    if ( counter = 0 ) then
    	select attestation_prop_seq.nextval into prop_id from dual;
    	
        insert into attestation_prop (id, attestation, name, value, description)
   	 	values (prop_id, attestation_id, prop_name, prop_value, prop_descr);
   	end if;
   	
    end loop;
  close cur_attest;
  
end;
/
commit;