declare
  counter       numeric(16);
  cfe_id        numeric(16);
  cfe_name      varchar(128);
  cfe_value	    varchar(256);
begin
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'ADMIN';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'CONNECTOR';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'BULKLOAD';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'REQUEST';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'REPORT';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'CERTIFICATION';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'RULE_IMPORT';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'RULE_EXPORT';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'CONNECTOR_IMPORT';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'CONNECTOR_EXPORT';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'PROCESSDESIGNER_ASSIGN_ROLE';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'PROCESSDESIGNER_REMOVE_ROLE';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'WORKFLOW_IMPORT';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'WORKFLOW_EXPORT';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'REPORT_QUERY_IMPORT';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'REPORT_QUERY_EXPORT';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'REPORT_IMPORT';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'REPORT_EXPORT';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'ACCOUNT_MODIFICATION';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'ACCOUNT_MATCHING';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'ACCOUNT_CONSOLIDATION';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'TARGET';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'BUSINESS_ACTIVITY_MAPPING';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'CONNECTOR_PROFILE_IMPORT';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'SOURCE';
  	cfe_value	:= 'CONNECTOR_PROFILE_EXPORT';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'STATUS';
  	cfe_value	:= 'SUCCESS';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'STATUS';
  	cfe_value	:= 'ERROR';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'STATUS';
  	cfe_value	:= 'PARTIALLY FAILED';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;
	
	cfe_name	:= 'STATUS';
  	cfe_value	:= 'N/A';
	select count(id) into counter from custom_filter_entity cfe where cfe.name = cfe_name and cfe.value = cfe_value;
	if(counter = 0) then
	  select custom_filter_entity_seq.nextval into cfe_id from dual;
	  insert into custom_filter_entity (id, name, value)
	  values (cfe_id, cfe_name, cfe_value);
	end if;

end;
/