declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42711'); -- duplicate name

begin
  stat := '
  ALTER TABLE AUDIT_LOG
    ADD ACTED_AS_CODE VARCHAR(256)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42711'); -- duplicate name

begin
  stat := '
  ALTER TABLE AUDIT_LOG
    ADD ACTED_AS_KEY VARCHAR(256)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

COMMENT ON COLUMN AUDIT_LOG.ACTED_AS_CODE IS
'IDEAS Userid of who has been represented by operator';

COMMENT ON COLUMN AUDIT_LOG.ACTED_AS_KEY IS
'FK to PERSON table';

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE AUDIT_LOG' );
