--set echo on
spool IB_ILC_upgrade.log

DEFINE DATA_TABLESPACE = 'ILC_IB_DATA'
DEFINE LOB_TABLESPACE = 'ILC_IB_BLOB'
DEFINE INDEX_TABLESPACE = 'ILC_IB_INDX'

DEFINE ECHO = 'ON';

--@@ILC_UPGRADE/001-example.sql

--@@IB_UPGRADE/001-example.sql
@@IB_UPGRADE/001-IB_RE_ADAPTER_OPERATIONS.sql
@@IB_UPGRADE/002-IB_RE_FORM_TEMPLATES.sql
@@IB_UPGRADE/003-IB_RE_SERVICE_PROFILES.sql
@@IB_UPGRADE/004-IB_RE_SERVICES.sql
@@IB_UPGRADE/005-IB_RE_SERVICE_STATUS.sql
@@IB_UPGRADE/006-IB_RE_GROUPS.sql
@@IB_UPGRADE/007-IB_RE_GROUP_MEMBERS.sql
@@IB_UPGRADE/008-IB_RE_SUPPORTING_DATA.sql
@@IB_UPGRADE/009-IB_RE_USERS.sql
@@IB_UPGRADE/010-IB_RE_USER_ATTRS.sql
@@IB_UPGRADE/011-IB_ACCOUNT_DELTAS.sql
@@IB_UPGRADE/012-IB_GROUP_DELTAS.sql

@@../00-COMMON/Sequence/Sequences_alignment.sql

spool off

exit;
