#!/bin/bash

UPGRADE_SCRIPT=$PWD

cd $UPGRADE_SCRIPT/AccessGovernanceCoreBackend
$CLPPLUS_CMD -nw igaadm/$SCHEMA_PWD@$DB2_SERVER @va_app_perm.sql
$CLPPLUS_CMD -nw igaadm/$SCHEMA_PWD@$DB2_SERVER @agc_upgrade_77_to_78.sql
$CLPPLUS_CMD -nw igacore/$SCHEMA_PWD@$DB2_SERVER @agc_upgrade_77_to_78.sql

cd $UPGRADE_SCRIPT/AccessRiskControlsForSAPBackend
$CLPPLUS_CMD -nw ccscore/$SCHEMA_PWD@$DB2_SERVER @arc4s_upgrade_47_to_48.sql

cd $UPGRADE_SCRIPT/AccessRequestsBackend
$CLPPLUS_CMD -nw igaadm/$SCHEMA_PWD@$DB2_SERVER @arm_upgrade_17_to_18.sql
$CLPPLUS_CMD -nw igacore/$SCHEMA_PWD@$DB2_SERVER @arm_upgrade_17_to_18.sql

cd $UPGRADE_SCRIPT/AuditHelper
$CLPPLUS_CMD -nw igaserv/$SCHEMA_PWD@$DB2_SERVER @audit_upgrade_37_to_38.sql

cd $UPGRADE_SCRIPT/DeskBackend
$CLPPLUS_CMD -nw igaserv/$SCHEMA_PWD@$DB2_SERVER @desk_upgrade_27_to_28.sql

cd $UPGRADE_SCRIPT/EmailBackend
$CLPPLUS_CMD -nw igaadm/$SCHEMA_PWD@$DB2_SERVER @es_upgrade_27_to_28.sql
$CLPPLUS_CMD -nw igacore/$SCHEMA_PWD@$DB2_SERVER @es_upgrade_27_to_28.sql

cd $UPGRADE_SCRIPT/ReportBackend
$CLPPLUS_CMD -nw repadm/$SCHEMA_PWD@$DB2_SERVER @rd_upgrade_27_to_28.sql
$CLPPLUS_CMD -nw repcore/$SCHEMA_PWD@$DB2_SERVER @rd_upgrade_27_to_28.sql

cd $UPGRADE_SCRIPT/EnterpriseConnectorsBackend
$CLPPLUS_CMD -nw igaadm/$SCHEMA_PWD@$DB2_SERVER @ec_upgrade_37_to_38.sql
$CLPPLUS_CMD -nw igacore/$SCHEMA_PWD@$DB2_SERVER @ec_upgrade_37_to_38.sql

cd $UPGRADE_SCRIPT/JobBackend
$CLPPLUS_CMD -nw aaadm/$SCHEMA_PWD@$DB2_SERVER @job_upgrade_27_to_28_on_AA.sql
$CLPPLUS_CMD -nw aacore/$SCHEMA_PWD@$DB2_SERVER @job_upgrade_27_to_28_on_AA.sql
$CLPPLUS_CMD -nw igaadm/$SCHEMA_PWD@$DB2_SERVER @job_upgrade_27_to_28_on_AGC.sql
$CLPPLUS_CMD -nw igacore/$SCHEMA_PWD@$DB2_SERVER @job_upgrade_27_to_28_on_AGC.sql
$CLPPLUS_CMD -nw ccscore/$SCHEMA_PWD@$DB2_SERVER @job_upgrade_27_to_28_on_ARC4S.sql
$CLPPLUS_CMD -nw repadm/$SCHEMA_PWD@$DB2_SERVER @job_upgrade_27_to_28_on_REPORT.sql
$CLPPLUS_CMD -nw repcore/$SCHEMA_PWD@$DB2_SERVER @job_upgrade_27_to_28_on_REPORT.sql

cd $UPGRADE_SCRIPT/Quartz
$CLPPLUS_CMD -nw igaqrz/$SCHEMA_PWD@$DB2_SERVER @quartz_upgrade_27_to_28.sql

cd $UPGRADE_SCRIPT/TaskPlannerBackend
$CLPPLUS_CMD -nw igaserv/$SCHEMA_PWD@$DB2_SERVER @sk_upgrade_27_to_28.sql

cd $UPGRADE_SCRIPT/SIB_IB_ILC
$CLPPLUS_CMD -nw itimuser/$SCHEMA_PWD@$DB2_SERVER @IB_ILC_upgrade.sql

cd $UPGRADE_SCRIPT/AccessGovernanceCoreBackend
$CLPPLUS_CMD -nw igaadm/$SCHEMA_PWD@$DB2_SERVER @report_assignment.sql
$CLPPLUS_CMD -nw igacore/$SCHEMA_PWD@$DB2_SERVER @report_assignment.sql

cd $UPGRADE_SCRIPT/ReportBackend
$CLPPLUS_CMD -nw repadm/$SCHEMA_PWD@$DB2_SERVER @revoke_from_agc.sql
$CLPPLUS_CMD -nw repcore/$SCHEMA_PWD@$DB2_SERVER @revoke_from_agc.sql

cd $UPGRADE_SCRIPT/Survey
$CLPPLUS_CMD -nw igacore/$SCHEMA_PWD@$DB2_SERVER @survey.sql

cd $UPGRADE_SCRIPT
