declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  	CREATE INDEX CREATEDTIME_IDX ON IB_ACCOUNT_DELTAS
 	(CREATEDTIME, ACCOUNTID, TARGETID, CLIENTID, OPERATIONTYPE)
	ALLOW REVERSE SCANS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE IB_ACCOUNT_DELTAS' );