@echo off

setlocal

set DB2_SERVER=[DB2_FULLY_QUALIFIED_SERVER_NAME]
set SCHEMA_PWD=ideas
set DB2_HOME=c:\Program Files\IBM\SQLLIB

if ["%CLPPLUS_CMD%"]==[""] (
  set CLPPLUS_CMD=%DB2_HOME%\bin\clpplus
)

set CURRENT_DIR=%CD%
set UPGRADE_SCRIPT=%~dp0

cd %UPGRADE_SCRIPT%\_PREV_REL\migration_526
echo *** STEP1: upgrading to 5.2.6 level ***
echo Current directory: %CD%
call db2_update.bat
if ERRORLEVEL 1 goto end

cd %UPGRADE_SCRIPT%\_PREV_REL\migration_100
echo *** STEP2: upgrading to SVG 10.0 level ***
echo Current directory: %CD%
call db2_update.bat
if ERRORLEVEL 1 goto end

cd %UPGRADE_SCRIPT%\_PREV_REL\migration_1001
echo *** STEP3: upgrading to SVG 10.0.1 level ***
echo Current directory: %CD%
call db2_update.bat
if ERRORLEVEL 1 goto end

cd %UPGRADE_SCRIPT%
echo *** STEP4: upgrading to 10.0.2 level ***
echo Current directory: %CD%
call db2_update.bat

:end
cd %CURRENT_DIR%

endlocal
