#!/bin/bash

export DB2_SERVER=[DB2_FULLY_QUALIFIED_SERVER_NAME]
export SCHEMA_PWD=ideas
export DB2_HOME=/home/db2inst1/sqllib

if [ -z "$CLPPLUS_CMD" ]; then
  export CLPPLUS_CMD=$DB2_HOME/bin/clpplus
fi

UPGRADE_SCRIPT=$(cd $(dirname $0) && pwd)
CURRENT_DIR=$PWD

cd $UPGRADE_SCRIPT/_PREV_REL/migration_100
echo "*** STEP1: upgrading to SVG 10.0 level ***"
echo "Current directory: $PWD"
./db2_update.sh

	if [ $? -eq 0 ]; then
		cd $UPGRADE_SCRIPT/_PREV_REL/migration_1001
		echo "*** STEP2: upgrading to SVG 10.0.1 level ***"
		echo "Current directory: $PWD"
		./db2_update.sh

		if [ $? -eq 0 ]; then

			cd $UPGRADE_SCRIPT
			echo "*** STEP3: upgrading to 10.0.2 level ***"
			echo "Current directory: $PWD"
			./db2_update.sh

		fi
	fi

cd $CURRENT_DIR
