declare
  cde_field_name      varchar2(128);
  cde_field_position  number(16);
  cde_field_id        number(16);
  cde_field_mandatory number(16);
  cde_field_status    number(16);
  cde_field_catstatus number(16);
  
  cde_name            varchar2(128);
  cde_id              number(16);
  
  counter             number(16);

begin
  
  --  ENTITY ENTITLEMENT SECTION
  cde_name := 'ENTITLEMENT';
  cde_id := 101;
  select count(1) into counter from cfg_display_entity t where t.name = cde_name and t.id = cde_id;
  if ( counter = 1 ) then

    cde_field_name := 'ACTION';
  	cde_field_mandatory := 1;
  	cde_field_status := 1;
  	cde_field_position := 0;
  	cde_field_catstatus := 1;
  	select count(1) into counter from cfg_display_entity_field t where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	if ( counter = 0 ) then
  	  select cfg_display_entity_field_seq.nextval into cde_field_id from dual;
  	  insert into cfg_display_entity_field ( id, cfg_display_entity, name, mandatory, status, position, catalogstatus )
  	         values ( cde_field_id, cde_id, cde_field_name, cde_field_mandatory, cde_field_status, cde_field_position, cde_field_catstatus );
  	elsif(counter = 1) then
  	  update cfg_display_entity_field t set position = cde_field_position, mandatory = cde_field_mandatory, status = cde_field_status, catalogstatus = cde_field_catstatus where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	end if;
    	
    cde_field_name := 'APPLICATION_NAME';
  	cde_field_mandatory := 0;
  	cde_field_status := 1;
  	cde_field_position := 1;
  	cde_field_catstatus := 1;
  	select count(1) into counter from cfg_display_entity_field t where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	if ( counter = 0 ) then
  	  select cfg_display_entity_field_seq.nextval into cde_field_id from dual;
  	  insert into cfg_display_entity_field ( id, cfg_display_entity, name, mandatory, status, position, catalogstatus )
  	         values ( cde_field_id, cde_id, cde_field_name, cde_field_mandatory, cde_field_status, cde_field_position, cde_field_catstatus );
  	elsif(counter = 1) then
  	  update cfg_display_entity_field t set position = cde_field_position, mandatory = cde_field_mandatory, status = cde_field_status, catalogstatus = cde_field_catstatus where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	end if;
    	
    cde_field_name := 'NAMEI18N';
  	cde_field_mandatory := 1;
  	cde_field_status := 1;
  	cde_field_position := 2;
  	cde_field_catstatus := 1;
  	select count(1) into counter from cfg_display_entity_field t where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	if ( counter = 0 ) then
  	  select cfg_display_entity_field_seq.nextval into cde_field_id from dual;
  	  insert into cfg_display_entity_field ( id, cfg_display_entity, name, mandatory, status, position, catalogstatus )
  	         values ( cde_field_id, cde_id, cde_field_name, cde_field_mandatory, cde_field_status, cde_field_position, cde_field_catstatus );
  	elsif(counter = 1) then
  	  update cfg_display_entity_field t set position = cde_field_position, mandatory = cde_field_mandatory, status = cde_field_status, catalogstatus = cde_field_catstatus where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	end if;
    	
    cde_field_name := 'VALUE';
  	cde_field_mandatory := 0;
  	cde_field_status := 1;
  	cde_field_position := 3;
  	cde_field_catstatus := null;
  	select count(1) into counter from cfg_display_entity_field t where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	if ( counter = 0 ) then
  	  select cfg_display_entity_field_seq.nextval into cde_field_id from dual;
  	  insert into cfg_display_entity_field ( id, cfg_display_entity, name, mandatory, status, position, catalogstatus )
  	         values ( cde_field_id, cde_id, cde_field_name, cde_field_mandatory, cde_field_status, cde_field_position, cde_field_catstatus );
  	elsif(counter = 1) then
  	  update cfg_display_entity_field t set position = cde_field_position, mandatory = cde_field_mandatory, status = cde_field_status, catalogstatus = cde_field_catstatus where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	end if;
    	
    cde_field_name := 'DESCRIPTIONI18N';
  	cde_field_mandatory := 0;
  	cde_field_status := 1;
  	cde_field_position := 4;
  	cde_field_catstatus := 1;
  	select count(1) into counter from cfg_display_entity_field t where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	if ( counter = 0 ) then
  	  select cfg_display_entity_field_seq.nextval into cde_field_id from dual;
  	  insert into cfg_display_entity_field ( id, cfg_display_entity, name, mandatory, status, position, catalogstatus )
  	         values ( cde_field_id, cde_id, cde_field_name, cde_field_mandatory, cde_field_status, cde_field_position, cde_field_catstatus );
  	elsif(counter = 1) then
  	  update cfg_display_entity_field t set position = cde_field_position, mandatory = cde_field_mandatory, status = cde_field_status, catalogstatus = cde_field_catstatus where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	end if;
    	
    cde_field_name := 'ACCOUNT';
  	cde_field_mandatory := 0;
  	cde_field_status := 1;
  	cde_field_position := 5;
  	cde_field_catstatus := null;
  	select count(1) into counter from cfg_display_entity_field t where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	if ( counter = 0 ) then
  	  select cfg_display_entity_field_seq.nextval into cde_field_id from dual;
  	  insert into cfg_display_entity_field ( id, cfg_display_entity, name, mandatory, status, position, catalogstatus )
  	         values ( cde_field_id, cde_id, cde_field_name, cde_field_mandatory, cde_field_status, cde_field_position, cde_field_catstatus );
  	elsif(counter = 1) then
  	  update cfg_display_entity_field t set position = cde_field_position, mandatory = cde_field_mandatory, status = cde_field_status, catalogstatus = cde_field_catstatus where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	end if;
    	
    cde_field_name := 'STARTDATE';
  	cde_field_mandatory := 0;
  	cde_field_status := 1;
  	cde_field_position := 6;
  	cde_field_catstatus := null;
  	select count(1) into counter from cfg_display_entity_field t where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	if ( counter = 0 ) then
  	  select cfg_display_entity_field_seq.nextval into cde_field_id from dual;
  	  insert into cfg_display_entity_field ( id, cfg_display_entity, name, mandatory, status, position, catalogstatus )
  	         values ( cde_field_id, cde_id, cde_field_name, cde_field_mandatory, cde_field_status, cde_field_position, cde_field_catstatus );
  	elsif(counter = 1) then
  	  update cfg_display_entity_field t set position = cde_field_position, mandatory = cde_field_mandatory, status = cde_field_status, catalogstatus = cde_field_catstatus where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	end if;
    	
    cde_field_name := 'ENDDATE';
  	cde_field_mandatory := 0;
  	cde_field_status := 1;
  	cde_field_position := 7;
  	cde_field_catstatus := null;
  	select count(1) into counter from cfg_display_entity_field t where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	if ( counter = 0 ) then
  	  select cfg_display_entity_field_seq.nextval into cde_field_id from dual;
  	  insert into cfg_display_entity_field ( id, cfg_display_entity, name, mandatory, status, position, catalogstatus )
  	         values ( cde_field_id, cde_id, cde_field_name, cde_field_mandatory, cde_field_status, cde_field_position, cde_field_catstatus );
  	elsif(counter = 1) then
  	  update cfg_display_entity_field t set position = cde_field_position, mandatory = cde_field_mandatory, status = cde_field_status, catalogstatus = cde_field_catstatus where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	end if;
    	 
    cde_field_name := 'OWNER_CODE';
  	cde_field_mandatory := 0;
  	cde_field_status := 0;
  	cde_field_position := 8;
  	cde_field_catstatus := 0;
  	select count(1) into counter from cfg_display_entity_field t where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	if ( counter = 0 ) then
  	  select cfg_display_entity_field_seq.nextval into cde_field_id from dual;
  	  insert into cfg_display_entity_field ( id, cfg_display_entity, name, mandatory, status, position, catalogstatus )
  	         values ( cde_field_id, cde_id, cde_field_name, cde_field_mandatory, cde_field_status, cde_field_position, cde_field_catstatus );
  	elsif(counter = 1) then
  	  update cfg_display_entity_field t set position = cde_field_position, mandatory = cde_field_mandatory, status = cde_field_status, catalogstatus = cde_field_catstatus where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	end if;
  	
  	cde_field_name := 'CODE';
  	cde_field_mandatory := 0;
  	cde_field_status := 0;
  	cde_field_position := 9;
  	cde_field_catstatus := 0;
  	select count(1) into counter from cfg_display_entity_field t where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	if ( counter = 0 ) then
  	  select cfg_display_entity_field_seq.nextval into cde_field_id from dual;
  	  insert into cfg_display_entity_field ( id, cfg_display_entity, name, mandatory, status, position, catalogstatus )
  	         values ( cde_field_id, cde_id, cde_field_name, cde_field_mandatory, cde_field_status, cde_field_position, cde_field_catstatus );
  	elsif(counter = 1) then
  	  update cfg_display_entity_field t set position = cde_field_position, mandatory = cde_field_mandatory, status = cde_field_status, catalogstatus = cde_field_catstatus where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	end if;
  	
  	cde_field_name := 'GROUP_NAME';
  	cde_field_mandatory := 0;
  	cde_field_status := 0;
  	cde_field_position := 10;
  	cde_field_catstatus := 0;
  	select count(1) into counter from cfg_display_entity_field t where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	if ( counter = 0 ) then
  	  select cfg_display_entity_field_seq.nextval into cde_field_id from dual;
  	  insert into cfg_display_entity_field ( id, cfg_display_entity, name, mandatory, status, position, catalogstatus )
  	         values ( cde_field_id, cde_id, cde_field_name, cde_field_mandatory, cde_field_status, cde_field_position, cde_field_catstatus );
  	elsif(counter = 1) then
  	  update cfg_display_entity_field t set position = cde_field_position, mandatory = cde_field_mandatory, status = cde_field_status, catalogstatus = cde_field_catstatus where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	end if;
  	
  	cde_field_name := 'OU_DESC';
  	cde_field_mandatory := 0;
  	cde_field_status := 0;
  	cde_field_position := 11;
  	cde_field_catstatus := 0;
  	select count(1) into counter from cfg_display_entity_field t where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	if ( counter = 0 ) then
  	  select cfg_display_entity_field_seq.nextval into cde_field_id from dual;
  	  insert into cfg_display_entity_field ( id, cfg_display_entity, name, mandatory, status, position, catalogstatus )
  	         values ( cde_field_id, cde_id, cde_field_name, cde_field_mandatory, cde_field_status, cde_field_position, cde_field_catstatus );
  	elsif(counter = 1) then
  	  update cfg_display_entity_field t set position = cde_field_position, mandatory = cde_field_mandatory, status = cde_field_status, catalogstatus = cde_field_catstatus where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	end if;
  	
  	cde_field_name := 'OU_OWNER';
  	cde_field_mandatory := 0;
  	cde_field_status := 0;
  	cde_field_position := 12;
  	cde_field_catstatus := 0;
  	select count(1) into counter from cfg_display_entity_field t where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	if ( counter = 0 ) then
  	  select cfg_display_entity_field_seq.nextval into cde_field_id from dual;
  	  insert into cfg_display_entity_field ( id, cfg_display_entity, name, mandatory, status, position, catalogstatus )
  	         values ( cde_field_id, cde_id, cde_field_name, cde_field_mandatory, cde_field_status, cde_field_position, cde_field_catstatus );
  	elsif(counter = 1) then
  	  update cfg_display_entity_field t set position = cde_field_position, mandatory = cde_field_mandatory, status = cde_field_status, catalogstatus = cde_field_catstatus where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	end if;
  	
  	cde_field_name := 'VISIBILITYVIOLATION';
  	cde_field_mandatory := 0;
  	cde_field_status := 0;
  	cde_field_position := 13;
  	cde_field_catstatus := 1;
  	select count(1) into counter from cfg_display_entity_field t where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	if ( counter = 0 ) then
  	  select cfg_display_entity_field_seq.nextval into cde_field_id from dual;
  	  insert into cfg_display_entity_field ( id, cfg_display_entity, name, mandatory, status, position, catalogstatus )
  	         values ( cde_field_id, cde_id, cde_field_name, cde_field_mandatory, cde_field_status, cde_field_position, cde_field_catstatus );
  	elsif(counter = 1) then
  	  update cfg_display_entity_field t set position = cde_field_position, mandatory = cde_field_mandatory, status = cde_field_status, catalogstatus = cde_field_catstatus where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	end if;
  	
  	cde_field_name := 'HIERARCHY_NAME';
  	cde_field_mandatory := 0;
  	cde_field_status := 0;
  	cde_field_position := 14;
  	cde_field_catstatus := 0;
  	select count(1) into counter from cfg_display_entity_field t where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	if ( counter = 0 ) then
  	  select cfg_display_entity_field_seq.nextval into cde_field_id from dual;
  	  insert into cfg_display_entity_field ( id, cfg_display_entity, name, mandatory, status, position, catalogstatus )
  	         values ( cde_field_id, cde_id, cde_field_name, cde_field_mandatory, cde_field_status, cde_field_position, cde_field_catstatus );
  	elsif(counter = 1) then
  	  update cfg_display_entity_field t set position = cde_field_position, mandatory = cde_field_mandatory, status = cde_field_status, catalogstatus = cde_field_catstatus where t.cfg_display_entity = cde_id and t.name = cde_field_name;
  	end if;
     	
  end if;
  
end;
/
commit;
