declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE AUDIT_LOG
    ADD ACTED_AS_CODE VARCHAR2(256)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE AUDIT_LOG
    ADD ACTED_AS_KEY VARCHAR2(256)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

COMMENT ON COLUMN AUDIT_LOG.ACTED_AS_CODE IS
'IDEAS Userid of who has been represented by operator';

COMMENT ON COLUMN AUDIT_LOG.ACTED_AS_KEY IS
'FK to PERSON table';
