#!/bin/bash

UPGRADE_SCRIPT=$PWD

cd $UPGRADE_SCRIPT/AccessGovernanceCoreBackend
$SQLPLUS_CMD iga_admin/$SCHEMA_PWD@$ORACLE_SERVER @va_app_perm.sql
$SQLPLUS_CMD iga_admin/$SCHEMA_PWD@$ORACLE_SERVER @agc_upgrade_77_to_78.sql
$SQLPLUS_CMD iga_core/$SCHEMA_PWD@$ORACLE_SERVER @agc_upgrade_77_to_78.sql

cd $UPGRADE_SCRIPT/AccessRiskControlsForSAPBackend
$SQLPLUS_CMD ccs_core/$SCHEMA_PWD@$ORACLE_SERVER @arc4s_upgrade_47_to_48.sql

cd $UPGRADE_SCRIPT/AccessRequestsBackend
$SQLPLUS_CMD iga_admin/$SCHEMA_PWD@$ORACLE_SERVER @arm_upgrade_17_to_18.sql
$SQLPLUS_CMD iga_core/$SCHEMA_PWD@$ORACLE_SERVER @arm_upgrade_17_to_18.sql

cd $UPGRADE_SCRIPT/AuditHelper
$SQLPLUS_CMD iga_service/$SCHEMA_PWD@$ORACLE_SERVER @audit_upgrade_37_to_38.sql

cd $UPGRADE_SCRIPT/DeskBackend
$SQLPLUS_CMD iga_service/$SCHEMA_PWD@$ORACLE_SERVER @desk_upgrade_27_to_28.sql

cd $UPGRADE_SCRIPT/ReportBackend
$SQLPLUS_CMD iga_report_admin/$SCHEMA_PWD@$ORACLE_SERVER @rd_upgrade_27_to_28.sql
$SQLPLUS_CMD iga_report_core/$SCHEMA_PWD@$ORACLE_SERVER @rd_upgrade_27_to_28.sql

cd $UPGRADE_SCRIPT/EmailBackend
$SQLPLUS_CMD iga_admin/$SCHEMA_PWD@$ORACLE_SERVER @es_upgrade_27_to_28.sql
$SQLPLUS_CMD iga_core/$SCHEMA_PWD@$ORACLE_SERVER @es_upgrade_27_to_28.sql

cd $UPGRADE_SCRIPT/EnterpriseConnectorsBackend
$SQLPLUS_CMD iga_admin/$SCHEMA_PWD@$ORACLE_SERVER @ec_upgrade_37_to_38.sql
$SQLPLUS_CMD iga_core/$SCHEMA_PWD@$ORACLE_SERVER @ec_upgrade_37_to_38.sql

cd $UPGRADE_SCRIPT/JobBackend
$SQLPLUS_CMD aa_admin/$SCHEMA_PWD@$ORACLE_SERVER @job_upgrade_27_to_28_on_AA.sql
$SQLPLUS_CMD aa_core/$SCHEMA_PWD@$ORACLE_SERVER @job_upgrade_27_to_28_on_AA.sql
$SQLPLUS_CMD iga_admin/$SCHEMA_PWD@$ORACLE_SERVER @job_upgrade_27_to_28_on_AGC.sql
$SQLPLUS_CMD iga_core/$SCHEMA_PWD@$ORACLE_SERVER @job_upgrade_27_to_28_on_AGC.sql
$SQLPLUS_CMD ccs_core/$SCHEMA_PWD@$ORACLE_SERVER @job_upgrade_27_to_28_on_ARC4S.sql
$SQLPLUS_CMD iga_report_admin/$SCHEMA_PWD@$ORACLE_SERVER @job_upgrade_27_to_28_on_REPORT.sql
$SQLPLUS_CMD iga_report_core/$SCHEMA_PWD@$ORACLE_SERVER @job_upgrade_27_to_28_on_REPORT.sql

cd $UPGRADE_SCRIPT/Quartz
$SQLPLUS_CMD iga_quartz/$SCHEMA_PWD@$ORACLE_SERVER @quartz_upgrade_27_to_28.sql

cd $UPGRADE_SCRIPT/TaskPlannerBackend
$SQLPLUS_CMD iga_service/$SCHEMA_PWD@$ORACLE_SERVER @sk_upgrade_27_to_28.sql

cd $UPGRADE_SCRIPT/SIB_IB_ILC
$SQLPLUS_CMD itimuser/$SCHEMA_PWD@$ORACLE_SERVER @IB_ILC_upgrade.sql

cd $UPGRADE_SCRIPT/AccessGovernanceCoreBackend
$SQLPLUS_CMD iga_admin/$SCHEMA_PWD@$ORACLE_SERVER @report_assignment.sql
$SQLPLUS_CMD iga_core/$SCHEMA_PWD@$ORACLE_SERVER @report_assignment.sql

cd $UPGRADE_SCRIPT/ReportBackend
$SQLPLUS_CMD iga_report_admin/$SCHEMA_PWD@$ORACLE_SERVER @revoke_from_agc.sql
$SQLPLUS_CMD iga_report_core/$SCHEMA_PWD@$ORACLE_SERVER @revoke_from_agc.sql

cd $UPGRADE_SCRIPT/Survey
$SQLPLUS_CMD iga_core/$SCHEMA_PWD@$ORACLE_SERVER @survey.sql

cd $UPGRADE_SCRIPT
