declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE PERSON_REM_REVIEW
    ADD ACTION_NOTE VARCHAR2(2048)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/


declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE PERSON_REM_REVIEW
    ADD STEP NUMBER(2) DEFAULT 1
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE PERSON_REM_REVIEW
    ADD REVIEW_PROCESS VARCHAR2(32)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

UPDATE PERSON_REM_REVIEW SET STEP = 1 WHERE STEP IS NULL;