declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE EMPLOYMENT_REVIEW_H
    ADD ACTION_NOTE VARCHAR2(2048)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE EMPLOYMENT_REVIEW_H
    ADD STEP NUMBER(2) DEFAULT 1
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE EMPLOYMENT_REVIEW_H
    ADD TOTAL_STEPS NUMBER(2) DEFAULT 1
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

ALTER TABLE EMPLOYMENT_REVIEW_H
  MODIFY (
    ENTITLEMENT_DESCRIPTION VARCHAR2(4000 CHAR)
  );
/