declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE EVENT_OUT 
	MODIFY PERSON NUMBER(16,0) NULL
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE INDEX EVENT_OUT_TAR_SST_OP_IDX ON EVENT_OUT
  (LOWER(TARGET), SYNC_STATUS, OPERATION)
  REVERSE
  NOLOGGING
  NOPARALLEL
  TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/