--set echo on
--spool pm_upgrade_79_to_80.log

DEFINE DATA_TABLESPACE = '&1';
DEFINE INDEX_TABLESPACE = '&2';
DEFINE LOB_TABLESPACE = '&3';

--@@PM_UPGRADE_79_TO_80/001-example.sql

@@PM_UPGRADE_79_TO_80/001-TRG_PWDMANAGEMENT_BEFORE.sql
@@PM_UPGRADE_79_TO_80/002-TRG_USER_EVENT_ERC_EVENT_OUT.sql
@@PM_UPGRADE_79_TO_80/003-PERSON_REM_REVIEW_H.sql
@@PM_UPGRADE_79_TO_80/004-TRG_ALIGN_APPROVER_TYPES.sql
@@PM_UPGRADE_79_TO_80/005-REMOVE_INDEXES.sql
@@PM_UPGRADE_79_TO_80/006-INDEXES.sql
@@PM_UPGRADE_79_TO_80/007-TRG_ALIGN_ACCOUNT_CONFIG_NAME.sql
@@PM_UPGRADE_79_TO_80/008-PWDCFGCNT.sql
@@PM_UPGRADE_79_TO_80/009-CREATE_CAMPAIGN_PERMISSION.sql
@@PM_UPGRADE_79_TO_80/010-CREATE_NOTIFICATION_PERMISSION.sql
@@PM_UPGRADE_79_TO_80/011-IGI_ISIQ_INTEGRATION.sql
@@PM_UPGRADE_79_TO_80/012-CREATE_HIERARCHY_PERMISSION.sql
@@PM_UPGRADE_79_TO_80/013-CREATE_HISTORY_PERMISSION.sql
@@PM_UPGRADE_79_TO_80/014-CREATE_ARC_BULK_LOAD_PERMISSION.sql
@@PM_UPGRADE_79_TO_80/015-CREATE_ARC_RISK_PERMISSION.sql
@@PM_UPGRADE_79_TO_80/016-CREATE_ARC_REMEDIATION_PERMISSION.sql
@@PM_UPGRADE_79_TO_80/017-CREATE_ARC_REPORT_PERMISSION.sql
@@PM_UPGRADE_79_TO_80/018-CREATE_SC_HISTORY_PERMISSION.sql
@@PM_UPGRADE_79_TO_80/019-CREATE_PWDSYNCH_PERMISSION.sql
@@PM_UPGRADE_79_TO_80/020-CREATE_EVENT_PERMISSION.sql
@@PM_UPGRADE_79_TO_80/021-CREATE_BULK_LOAD_PERMISSION.sql
@@PM_UPGRADE_79_TO_80/022-CREATE_ACCOUNT_CFG_PERMISSION.sql
@@PM_UPGRADE_79_TO_80/023-ENABLE_BULKLOAD_INPUT_DOWNLOAD.sql
@@PM_UPGRADE_79_TO_80/024-AUTHORIZATION_TABLE_COLUMN_SIZE.sql
@@PM_UPGRADE_79_TO_80/025-TRG_PWDMANAGEMENT_DEL_BEFORE.sql
@@PM_UPGRADE_79_TO_80/025-USER_EVENT_ERC_TABLE_COLUMN_SIZE.sql
@@PM_UPGRADE_79_TO_80/026-TRG_PWDMANAGEMENT_DEL_BEFORE.sql
@@PM_UPGRADE_79_TO_80/027-TRG_PWDMANAGEMENT_AFTER.sql
@@PM_UPGRADE_79_TO_80/028-TRG_USER_EVENT_ERC_EVENT_OUT.sql
@@PM_UPGRADE_79_TO_80/029-TRG_ATTESTATION.sql
@@PM_UPGRADE_79_TO_80/030-TEMPLATE_SETUP.sql
@@PM_UPGRADE_79_TO_80/031-TRG_EVENT_OUT.sql
@@PM_UPGRADE_79_TO_80/032-ALTER_TABLE_CHANGELOG.sql
@@PM_UPGRADE_79_TO_80/032-EVENT_TARGET.sql
@@PM_UPGRADE_79_TO_80/033-PERSON.sql
@@PM_UPGRADE_79_TO_80/034-S_USER.sql
@@PM_UPGRADE_79_TO_80/035-PERSON_PROFILE.sql
@@PM_UPGRADE_79_TO_80/036-FLOW_RULE.sql
@@PM_UPGRADE_79_TO_80/037-PWDCFGCNT.sql
@@PM_UPGRADE_79_TO_80/038-OTP_EMS_TEMPLATE_CHANGE.sql
@@PM_UPGRADE_79_TO_80/039-EVENT_TARGET_ATTR5_EXTEND.sql
@@PM_UPGRADE_79_TO_80/040-FLOW.sql
@@PM_UPGRADE_79_TO_80/041-FLOW.sql
@@PM_UPGRADE_79_TO_80/042-FLOW.sql
@@PM_UPGRADE_79_TO_80/043-TARGET.sql
@@PM_UPGRADE_79_TO_80/044-TRG_TARGET_NAME_VALUE.sql
@@PM_UPGRADE_79_TO_80/045-CONFIGURATION.sql
@@PM_UPGRADE_79_TO_80/046-CONFIGURATION.sql
@@PM_UPGRADE_79_TO_80/047-RM_GET_PERSON.sql
@@PM_UPGRADE_79_TO_80/048-REP_ENT_DETAIL.sql
@@PM_UPGRADE_79_TO_80/049-ENTITLEMENT_APP.sql
@@PM_UPGRADE_79_TO_80/050-PWDMANAGEMENT.sql