/*------For File Date Table------*/
comment on column REQ_FILE_DATA.ID IS
'File identifier: it''s the primary key, generated with a sequence (REQ_FILE_DATA_SEQ)';
comment on column REQ_FILE_DATA.FILENAME IS
'Name of uploaded file';
comment on column REQ_FILE_DATA.FILEDATA IS
'File Data in the blob format';
comment on column REQ_FILE_DATA.FILETYPE IS
'Type of uploaded file';
comment on column REQ_FILE_DATA.FILESIZE IS
'Size of the file';
comment on column REQ_FILE_DATA.S_USER IS
'Who uploaded the file';
comment on column REQ_FILE_DATA.CURRENTROLE IS
'Role of the user uploading the file';
comment on column REQ_FILE_DATA.ARCHIVEDSTATUS IS
'Flag indicating whether a file is in an archieved state (1) or not (0)';
comment on column REQ_FILE_DATA.CHECKSUM IS
'Checksum of the file';
comment on column REQ_FILE_DATA.UPLOADEDON IS
'Time of file upload';
/*------For File Association Table------*/
comment on column REQ_FILE_ASSOC.ID IS
'Request and file Association Id: it''s the primary key, generated with a sequence (REQ_FILE_ASS_SEQ)';
comment on column REQ_FILE_ASSOC.REQUEST IS
'Request Id from Request table';
comment on column REQ_FILE_ASSOC.REQ_FILE_DATA IS
'Id from REQ_FILE_DATA table';
