declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42711'); -- duplicate name

begin
  stat := '
  ALTER TABLE ARM_AUTH_S_USER
    ADD COLUMN DELETABLE NUMERIC(1) DEFAULT NULL
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42711'); -- duplicate name

begin
  stat := '
  ALTER TABLE ARM_AUTH_S_USER
    ADD COLUMN REPRESENTED_BY NUMERIC(16) DEFAULT NULL
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42711'); -- duplicate name

begin
  stat := '
  ALTER TABLE ARM_AUTH_S_USER
    ADD COLUMN REDIRECTED_BY NUMERIC(16) DEFAULT NULL
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42711'); -- duplicate name

begin
  stat := '
  ALTER TABLE ARM_AUTH_S_USER
    ADD COLUMN RED_REPRESENTED_BY NUMERIC(16) DEFAULT NULL
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  ALTER TABLE ARM_AUTH_S_USER ADD
   CONSTRAINT ARM_AUTH_SU_REP_FK
   FOREIGN KEY (REPRESENTED_BY)
   REFERENCES S_USER (ID)
   ON DELETE SET NULL
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  ALTER TABLE ARM_AUTH_S_USER ADD
   CONSTRAINT ARM_AUTH_SU_RED_FK
   FOREIGN KEY (REDIRECTED_BY)
   REFERENCES S_USER (ID)
   ON DELETE SET NULL
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  ALTER TABLE ARM_AUTH_S_USER ADD
   CONSTRAINT ARM_AUTH_SU_RED_REP_FK
   FOREIGN KEY (RED_REPRESENTED_BY)
   REFERENCES S_USER (ID)
   ON DELETE SET NULL
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE ARM_AUTH_S_USER' );