declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- index already existing

begin
  stat := '
  CREATE INDEX IDX_QRZ6_FT_SCH_NAME ON QRZ6_FIRED_TRIGGERS
  (SCHED_NAME)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- index already existing

begin
  stat := '
  CREATE INDEX IDX_QRZ6_FT_ENTRY_ID ON QRZ6_FIRED_TRIGGERS
  (ENTRY_ID)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- index already existing

begin
  stat := '
  CREATE INDEX IDX_QRZ6_FT_FIRED_TIME ON QRZ6_FIRED_TRIGGERS
  (FIRED_TIME)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- index already existing

begin
  stat := '
  CREATE INDEX IDX_QRZ6_FT_SCH_TIME ON QRZ6_FIRED_TRIGGERS
  (SCHED_TIME)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- index already existing

begin
  stat := '
  CREATE INDEX IDX_QRZ6_FT_PRIORITY ON QRZ6_FIRED_TRIGGERS
  (PRIORITY)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- index already existing

begin
  stat := '
  CREATE INDEX IDX_QRZ6_FT_STATE ON QRZ6_FIRED_TRIGGERS
  (STATE)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- index already existing

begin
  stat := '
  CREATE INDEX IDX_QRZ6_FT_IS_NONCONCUR ON QRZ6_FIRED_TRIGGERS
  (IS_NONCONCURRENT)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- index already existing

begin
  stat := '
  CREATE INDEX IDX_QRZ6_FT_REQ_RECOV ON QRZ6_FIRED_TRIGGERS
  (REQUESTS_RECOVERY)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/
