declare
  rq_id            numeric(16);
  rq_name          varchar2(256) := 'My requests DB';
  rqd              clob;
  counter          numeric(16);

begin


  rqd := 'select
'||'  t.request_status as request_status,
'||'  count(1) as request_count
'||'from
'||'(
'||'  select
'||'    case
'||'      when req.req_status = ''2'' then ''Authorizable''
'||'      when req.req_status = ''3'' then ''Approved''
'||'      when req.req_status = ''4'' then ''Suspended''
'||'      when req.req_status = ''5'' then ''Rejected''
'||'      when req.req_status = ''6'' then ''Performed''
'||'      when req.req_status = ''7'' then ''Completed''
'||'      when req.req_status = ''8'' then ''Failed Completion''
'||'      when req.req_status = ''9'' then ''Pending ''
'||'      when req.req_status = ''10'' then ''Escalation''
'||'      when req.req_status = ''12'' then ''Partially Authorizable''
'||'      when req.req_status = ''13'' then ''Partially Approved''
'||'      when req.req_status = ''14'' then ''Partially Executed''
'||'      when req.req_status = ''15'' then ''Partially Completed''
'||'      when req.req_status = ''19'' then ''Incompatibility''
'||'      when req.req_status = ''30'' then ''Terminated pending confirmation''
'||'      when req.req_status = ''31'' then ''Partially Terminated''
'||'      when req.req_status = ''55'' then ''Canceled''
'||'      else cast ( req.req_status as varchar(256) )
'||'    end request_status
'||'  from
'||'    #pmschema#.person                             p,
'||'    #swimschema#.request                            req
'||'  where p.s_user = req.beneficiary
'||'    and lower ( p.code ) like lower (''#ideas_userlogged#'')
'||'    and req.parent is not null
'||') t
'||'group by t.request_status
';

  select count(1) into counter from r_query t where lower ( t.name ) = lower ( rq_name );
  if ( counter = 1 ) then
    select t.id into rq_id from r_query t where lower ( t.name ) = lower ( rq_name );
    update r_query_data set query = rqd where r_query = rq_id;
  end if;
  
end;
/
commit;
